VCFCHECK(1)

NAME

vcfcheck

SYNOPSIS

vcfcheck options

DESCRIPTION

Validate integrity and identity of the VCF by verifying that the VCF record’s REF matches a given reference file.

OPTIONS

    options:
        -f, --fasta-reference  FASTA reference file to use to obtain primer sequences.
        -x, --exclude-failures If a record fails, don't print it.  Otherwise do.
        -k, --keep-failures    Print if the record fails, otherwise not.
        -i, --ignore-case      Ignore case differences between FASTA reference and vcf.
        -h, --help             Print this message.
        -v, --version          Print version.
    Type: metrics

EXIT VALUES

0   Success

not 0
    Failure

SEE ALSO

vcflib(1)

OTHER

LICENSE

Copyright 2011-2025 (C) Erik Garrison and vcflib contributors. MIT licensed. Copyright 2020-2025 (C) Pjotr Prins.

AUTHORS
Erik Garrison and vcflib contributors.